###################################################################
#                                                                 #
#                            Negativity                           #
#                      AntiCheat by Elikill58                     #
#                                                                 #
#              If you have a problem or a suggestion,             #
#                    You can contact me on:                       #
#                  - Discord: @Elikill58#0743                     #
#       - my Discord server: https://discord.gg/KHRVTX2           #
#               - Mail: arpetzouille@gmail.com                    #
#                   - SpigotMC: Elikill58                         #
#                  - Minecraft.fr: Elikill                        #
#                                                                 #
###################################################################

log_alerts: true
# If log alert in console
log_alerts_in_console: true
# If you want to log alert when the player will be kicked
log_alert_with_kick: false
tps_alert_stop: 19 # if you get less TPS then this value, all alert will be disabled
# Don't send ping message to proxy, just let say there is Negativity on proxy
use-proxy-force: false

commands:
  # Options to enable or disable commands
  # Manage /nreport (Alias: /report)
  report: true
  # Manage Mod command :
  # Manage /nkick (Alias: /kick)
  kick: true
  # Manage /nmod (Alias: /mod)
  mod: true
  # Manage /nlang (Alias: /lang)
  lang: true
  # Manage all commands about chat
  chat:
    # Enable the /clearchat command
    clear: true
    # Enable the /lockchat command
    lock: true

# The time between 2 /report
# in milliseconds
# -1 to disable
time_between_report: 1000

Database:
  isActive: false
  # To get the information. We use the player uuid to get the information.
  # We get only what you write. We never add or remove something.
  # We don't save your private information about your database
  url: "127.0.0.1/myDb"
  user: root
  password: "myPassword"
  type: "mysql"

inventory:
  alerts:
    no_started_verif_cheat: false # Don't see if the player isn't analyse for this cheat
    only_cheat_active: true # The cheat with an active detection
  inv_freeze_active: true

# This apply to absolutly ALL checks: cheats and special
config_all:
  # Config for bedrock users
  bedrock:
    disabled: false
  # Config for java users
  java:
    disabled: false

  # Options only available for cheats
  cheats:
    kick:
      active: false
    set_back:
      active: false

# Bypass when you add effects
#
items:
  #ITEM_NAME:
  # when: WHEN_DISABLE_DETECTION
  # cheats: CHEATS_DETECTION_DISABLED (it's the ID of the cheats like fly, speed)
  #
  # when available:
  # always : disable when the player get it in their hand
  # right_click : disable when the player right click
  # left_click : disable when the player left click
  # looking : disable when the player is looking a specific type
  # below : disable according to the block below the player
  #
  COMPASS:
    when: always
    cheats: speed,fly

# Configuration of the permissions subsystem. For more information
# see https://github.com/Elikill58/Negativity/wiki/Permissions
Permissions:
  # The checker indicates if a player has a specific permission.
  # By default only 'platform' is available
  checker: platform
  check:
    default: "negativity.check"
  showAlert:
    default: "negativity.alert"
  showReport:
    default: "negativity.seereport"
  verif:
    default: "negativity.verif"
  manageCheat:
    default: "negativity.managecheat"
  reload:
    default: "negativity.reload"
  report_wait:
    default: "negativity.reportwait"
  report:
    default: "negativity.report"
  ban:
    default: "negativity.ban"
  unban:
    default: "negativity.unban"
  mod:
    default: "negativity.mod"
  lang:
    default: "negativity.lang"
  chat:
    clear:
      default: "negativity.chat.clear"
    lock:
      default: "negativity.chat.lock"
    lock_bypass:
      default: "negativity.chat.lock_bypass"
  bypass:
    active: false
    ban:
      # Bypass ban (auto and /nban)
      default: "negativity.bypass.ban"
    all:
      default: "negativity.bypass.all"
    aimbot:
      default: "negativity.bypass.aimbot"
    airjump:
      default: "negativity.bypass.airjump"
    airplace:
      default: "negativity.bypass.airplace"
    antiknockback:
      default: "negativity.bypass.antiknockback"
    antipotion:
      default: "negativity.bypass.antipotion"
    autoclick:
      default: "negativity.bypass.autoclick"
    autosteal:
      default: "negativity.bypass.autosteal"
    blink:
      default: "negativity.bypass.blink"
    chat:
      default: "negativity.bypass.chat"
    critical:
      default: "negativity.bypass.critical"
    elytrafly:
      default: "negativity.bypass.elytrafly"
    fastbow:
      default: "negativity.bypass.fastbow"
    fasteat:
      default: "negativity.bypass.fasteat"
    fastladder:
      default: "negativity.bypass.fastladder"
    fastplace:
      default: "negativity.bypass.fastplace"
    faststairs:
      default: "negativity.bypass.faststairs"
    fly:
      default: "negativity.bypass.fly"
    forcefield:
      default: "negativity.bypass.forcefield"
    groundspoof:
      default: "negativity.bypass.groundspoof"
    incorrectpacket:
      default: "negativity.bypass.incorrectpacket"
    inventorymove:
      default: "negativity.bypass.inventorymove"
    jesus:
      default: "negativity.bypass.jesus"
    nofall:
      default: "negativity.bypass.nofall"
    nopitchlimit:
      default: "negativity.bypass.nopitchlimit"
    noslowdown:
      default: "negativity.bypass.noslowdown"
    noweb:
      default: "negativity.bypass.noweb"
    nuker:
      default: "negativity.bypass.nuker"
    pingspoof:
      default: "negativity.bypass.pingspoof"
    reach:
      default: "negativity.bypass.reach"
    regen:
      default: "negativity.bypass.regen"
    scaffold:
      default: "negativity.bypass.scaffold"
    sneak:
      default: "negativity.bypass.sneak"
    speed:
      default: "negativity.bypass.speed"
    spider:
      default: "negativity.bypass.spider"
    step:
      default: "negativity.bypass.step"
    strafe:
      default: "negativity.bypass.strafe"
    superknockback:
      default: "negativity.bypass.superknockback"
    timer:
      default: "negativity.bypass.timer"
    xray:
      default: "negativity.bypass.xray"

Translation:
  active: false # enable or disable the translation
  lang_available:
  - ar_EG
  - cs_CZ
  - de_DE
  - en_GB
  - en_US
  - es_ES
  - fr_FR
  - hu_HU
  - it_IT
  - id_ID
  - ja_JP
  - ko_KR
  - nl_NL
  - no_NO
  - pl_PL
  - pt_BR
  - ro_RO
  - ru_RU
  - sq_SQ
  - sv_SV
  - th_TH
  - tr_TR
  - vi_VN
  - zh_CN
  default: en_US
  # The provider used to get translated messages, useful if you want to customize the way Negativity gets its messages.
  # The only one available out-of-the-box is "platform".
  provider: platform

report:
  spam:
    # Name of report (which is also used as reason)
    name: "&6Spam/Link"
    # the material in inventory
    material: YELLOW_BANNER
    # the slot of item in inventory
    slot: 0
    # the message sent to player when report player
    message: "&6%name% &ahave been reported for %reason%"
    # "permission" is not necessary. If you don't set it, everyone will be able to use it.
  insult:
    name: "&cInsult"
    material: RED_BANNER
    slot: 1
    message: "&6%name% &ahave been reported for %reason%"
    permission: "negativity.report.insult"
  racism:
    name: "&cRacism"
    material: RED_BANNER
    slot: 2
    message: "&6%name% &ahave been reported for %reason%"
    permission: "negativity.report.racism"
  high_ping:
    name: "&4High ping"
    material: BLACK_BANNER
    slot: 9
    message: "&6%name% &ahave been reported for %reason%"
    permission: "negativity.report.ping"
  wrong_name:
    name: "&4Wrong name"
    material: BLACK_BANNER
    slot: 10
    message: "&6%name% &ahave been reported for %reason%"
    permission: "negativity.report.name"
  cheat:
    name: "&4Cheat"
    material: BLACK_BANNER
    slot: 11
    message: "&6%name% &ahave been reported for %reason%"
    permission: "negativity.report.cheat"


kicks:
  spam:
    # Name of report (which is also used as reason)
    name: "&6Spam/Link"
    # the material in inventory
    material: YELLOW_BANNER
    # the slot of item in inventory
    slot: 0
    # the message sent to player which use the inventory
    message: "&6%name% &ahave been kicked for %reason%"
    # the command to run when mod click on the item
    command: "nkick %name% Spam"
    # "permission" is not necessary. If you don't set it, everyone will be able to use it.
  insult:
    name: "&cInsult"
    material: ORANGE_BANNER
    slot: 1
    message: "&6%name% &ahave been kicked for %reason%"
    command: "nkick %name% Insult"
    permission: "negativity.report.insult"
  invalid_name:
    name: "&cInvalid Name"
    material: RED_BANNER
    slot: 2
    message: "&6%name% &ahave been kicked for %reason%"
    command: "nkick %name% Invalid Name"
    permission: "negativity.report.insult"

alert:
  show:
    # Available types :
    # instant: instantly send alerts
    # time: the value (in milliseconds) corresponds to the time between 2 alerts. Use '-1' to send messages instantly
    # amount: the value is the amount of required alerts of one cheat to send the message.
    type: "time"
    # The value according to the type.
    value: 1000
  
  # To run command when someone get alert
  command:
    active: false
    # Cooldown in milliseconds between 2 call of commands (time for each player)
    cooldown: 0
    # Reliability need to run command
    reliability_need: 80
    # Available arguments:
    # %name% : Name of player who cheat
    # %uuid% : UUID of player who cheat
    # %report_type% : Type of detected cheat (Know if Negativity consider it as Warning or Violation)
    # %cheat_key% : Cheat key (like "nofall") : You cannot edit it
    # %cheat_name% : Cheat name (like "NoFall") : You can edit it just below
    # %reliability% : Reliability of the alert
    run:
    - "mycommand %name% %cheat_key% %reliability%"


# Accounts hold player-specific data of the plugin, like their language and alerts count.
accounts:
  storage:
    # The ID of the storage to use.
    #
    # The following are available out-of-the-box:
    # - file : stored in files under ./plugins/Negativity/user/
    # - database : uses a database
    # Defaults to "file"
    id: "file"

# Proofs lines that are containing all informations generated by the check
proofs:
  storage:
    # The ID of the storage to use.
    #
    # The following are available out-of-the-box:
    # - file : stored in files under ./plugins/Negativity/user/proof
    # - database : uses a database
    # Defaults to "file"
    id: "file"

# A verification is used to monitor a player's activity.
verif:
  # The default duration of a verification, in ticks (20 ticks = 1 second)
  time: 200
  # If true, mutes alerts a player generates when it is being verified
  # Alerts for a specific cheat can be forcibly muted by setting cheats.<cheat>.check_in_verif to false
  disable_alert_on_verif: false

  storage:
    # The ID of the storage to use.
    #
    # The following are available out-of-the-box:
    # - file : stored in files under ./plugins/Negativity/verif/
    # - database : uses a database
    # Defaults to "file"
    id: "file"

region-bypass:
  enabled: false
  1:
    # You need WorldGuard for the region
    regions:
    - "spawn"
    # Default worlds names (or Multiverse names)
    worlds:
    - "world_the_end"
    # the cheats keys
    cheats:
    - "fly"

# Manage webhook
webhooks:
  enable: false
  hook:
    discord-example:
      # You can disable each webhook one by one
      enabled: true
      # Type of webhook
      type: "discord"
      # register the webhook URL used by Negativity
      url: "https://discord.com/api/webhooks/theRestOfDiscordUrl"
      # Cooldown between each message if cooldown/message not configurated
      cooldown: 1000
      # Configure messages presentation
      # If you don't set one of them, it will get the default configuration
      #
      # Placeholders available everywhere :
      # %name% : Name of the player which procude the message
      # %uuid% : UUID of the player which procude the message
      # %ip% : IP of the player which produce the message
      # %date% : Date when the player procude the message
      # %sender% : The sender of the message (such as banner or reporter)
      # %ping% : The ping of the player
      # %world% : The world of the player
      # %server_name% : The name of the server where the player is
      # %server_version% : Version of the server
      # %player_version% : Version of the player
      # %tps% : Actual server TPS
      # 
      messages:
        # Configure discord webhook message for ban.
        #
        # Placeholders available :
        # %cheat% : the cheat name
        # %amount% : Amount of alert made by player
        # %reliability% : Reliability of the cheat
        alert:
          enabled: true
          # The name which will send the message
          username: "Negativity Alert"
          # The content of the message
          content: ""
          # The URL of the message avatar
          avatar_url: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
          # Now let's configure embed message (the section with black background)
          embed:
            # Color of the embed (used with the line on the left)
            # More informations: https://docs.oracle.com/javase/7/docs/api/java/awt/Color.html
            color: "65280"
            # The embed title
            title: "Negativity Alert"
            # Main description
            description:
            - "%name% seems to use :"
            - "-  %cheat% %amount%x (Reliability: %reliability%%)"
            # All fields.
            # There is 3 fields per line MAX.
            # Else, they will automatically be on the next line.
            fields:
              1:
                # The key which will be at top of field (and bold)
                key: "Player Name"
                # The value of the field
                value: "%name%"
                # If the field is inline
                inline: true
              2:
                key: "Ping"
                value: "%ping% ms"
                inline: true
              3:
                key: "Version"
                value: "%player_version%"
                inline: true
              4:
                key: "World"
                value: "%world%"
                inline: true
              5:
                key: "Server Name"
                value: "%server_name%"
                inline: true
              6:
                key: "Server TPS"
                value: "%tps%"
                inline: true
              7:
                key: "Player UUID"
                value: "%uuid%"
                inline: false
            # Thumbnail of the message
            thumbnail: ""
            # The footer of the message
            footer:
              name: "Negativity - %date%"
              link: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
            # Author details of the message
            author:
              name: ""
              link: "https://github.com/Elikill58/Negativity"
              icon: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
        # Configure discord webhook message for ban.
        #
        # Placeholders available :
        # %name% : Name of the banned player
        # %uuid% : UUID of the banned player
        # %date% : Date when the player have been banned
        # %reason% : Reason of the ban
        ban:
          enabled: true
          # The name which will send the message
          username: "Negativity"
          # The content of the message (at top of embed).
          content: ""
          # The content of the message (at top of embed). Sent only at first webhook. Can be used to tag role or user
          content_first: "A new cheater is here: %name%"
          # The URL of the message avatar
          avatar_url: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
          # Now let's configure embed message (the section with black background)
          embed:
            # Color of the embed (used with the line on the left)
            color: "red"
            # The embed title
            title: "Ban"
            # Main description
            description: "%name% have been banned by %sender% for %reason%"
            # All fields.
            # There is 3 fields per line MAX.
            # Else, they will automatically be on the next line.
            fields:
              1:
                # The key which will be at top of field (and bold)
                key: "Player name"
                # The value of the field
                value: "%name%"
                # If the field is inline
                inline: true
              2:
                key: "Player UUID"
                value: "%uuid%"
                inline: true
            # Thumbnail of the message
            thumbnail: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
            # The footer of the message
            footer:
              name: "Negativity - %date%"
              link: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
            # Author details of the message
            author:
              name: "Negativity"
              link: "https://github.com/Elikill58/Negativity"
              icon: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
        # Configure discord webhook message for kick.
        #
        # Placeholders available :
        # %reason% : Name of the banned player
        kick:
          enabled: true
          # The name which will send the message
          username: "Negativity"
          # The content of the message
          content: ""
          # The URL of the message avatar
          avatar_url: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
          # Now let's configure embed message (the section with black background)
          embed:
            # Color of the embed (used with the line on the left)
            color: "blue"
            # The embed title
            title: "Kick"
            # Main description
            description: "%name% have been kicked by %sender% for %reason%"
            # All fields.
            # There is 3 fields per line MAX.
            # Else, they will automatically be on the next line.
            fields:
              1:
                # The key which will be at top of field (and bold)
                key: "Player name"
                # The value of the field
                value: "%name%"
                # If the field is inline
                inline: true
              2:
                key: "Player UUID"
                value: "%uuid%"
                inline: true
            # Thumbnail of the message
            thumbnail: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
            # The footer of the message
            footer:
              name: "Negativity - %date%"
              link: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
            # Author details of the message
            author:
              name: "Negativity"
              link: "https://github.com/Elikill58/Negativity"
              icon: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
        # Configure discord webhook message for report.
        #
        # Placeholders available :
        # %reason% : Name of the banned player
        report:
          enabled: true
          # The name which will send the message
          username: "Negativity"
          # The content of the message
          content: ""
          # The URL of the message avatar
          avatar_url: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
          # Now let's configure embed message (the section with black background)
          embed:
            # Color of the embed (used with the line on the left)
            color: "red"
            # The embed title
            title: "Report"
            # Main description
            description: "%name% have been reported by %sender% for %reason%"
            # All fields.
            # There is 3 fields per line MAX.
            # Else, they will automatically be on the next line.
            fields:
              1:
                # The key which will be at top of field (and bold)
                key: "Player name"
                # The value of the field
                value: "%name%"
                # If the field is inline
                inline: true
              2:
                key: "Player UUID"
                value: "%uuid%"
                inline: true
            # Thumbnail of the message
            thumbnail: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
            # The footer of the message
            footer:
              name: "Negativity - %date%"
              link: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
            # Author details of the message
            author:
              name: "Negativity"
              link: "https://github.com/Elikill58/Negativity"
              icon: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
        # Configure discord webhook message for warn.
        #
        # Placeholders available :
        # %reason% : Name of the warned player
        warn:
          enabled: true
          # The name which will send the message
          username: "Negativity"
          # The content of the message
          content: ""
          # The URL of the message avatar
          avatar_url: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
          # Now let's configure embed message (the section with black background)
          embed:
            # Color of the embed (used with the line on the left)
            color: "red"
            # The embed title
            title: "Warn"
            # Main description
            description: "%name% have been warned by %sender% for %reason%"
            # All fields.
            # There is 3 fields per line MAX.
            # Else, they will automatically be on the next line.
            fields:
              1:
                # The key which will be at top of field (and bold)
                key: "Player name"
                # The value of the field
                value: "%name%"
                # If the field is inline
                inline: true
              2:
                key: "Player UUID"
                value: "%uuid%"
                inline: true
            # Thumbnail of the message
            thumbnail: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
            # The footer of the message
            footer:
              name: "Negativity - %date%"
              link: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"
            # Author details of the message
            author:
              name: "Negativity"
              link: "https://github.com/Elikill58/Negativity"
              icon: "https://www.spigotmc.org/data/resource_icons/86/86874.jpg"

    telegram-example:
      # You can disable each webhook one by one
      enabled: true
      # Type of webhook
      type: "telegram"
      # The token of the bot like "app_id:app_hash"
      token: "my:token"
      # The chat ID. Can be given by the bot @raw_data_bot
      chat_id: "my chat id"
      # Cooldown between each message
      cooldown: 1000
      # Configure messages presentation
      # If you don't set one of them, it will get the default configuration
      #
      # Placeholders available everywhere :
      # %name% : Name of the player which procude the message
      # %uuid% : UUID of the player which procude the message
      # %ip% : IP of the player which produce the message
      # %date% : Date when the player procude the message
      # %sender% : The sender of the message (such as banner or reporter)
      # %ping% : The ping of the player
      # %world% : The world of the player
      # %server_name% : The name of the server where the player is
      # %server_version% : Version of the server
      # %player_version% : Version of the player
      # %tps% : Actual server TPS
      # 
      messages:
        # Configure discord webhook message for ban.
        #
        # Placeholders available :
        # %cheat% : the cheat name
        # %amount% : Amount of alert made by player
        # %reliability% : Reliability of the cheat
        alert:
          enabled: true
          header:
          - "--------- **Negativity** ---------"
          - ""
          # The line with "cheat" will be duplicated for each alert
          per-player:
          - "%name% (%ping% ms) on %server_name% seems to use:"
          - "  - %cheat% %amount%x (Reliability: %reliability%%)"
          footer: []